Bug 13821 - Kickstart fails to start network
Kickstart fails to start network
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2000-07-12 15:45 EDT by laurence
Modified: 2007-03-26 23:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-13 15:32:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description laurence 2000-07-12 15:45:55 EDT
While doing a kickstart install, the network doesn't come up for %post, so all of our network based commands fail.  We are using the following 
net line

network --bootproto static --ip --netmask --gateway --nameserver

The IPs have been changed to fake ones, but that's the same line.  The host doesn't have DNS entries, and isn't going to get them.  If it can't 
bring the net up automatically, i'd be perfectly willing to have the script do so at the beginning.  However, all attempts to bring the net up by 
hand using ifconfig, netstat, etc. have failed.  Please help, as it's becoming somewhat urgent and rather troubling.  If we ignore the errors and 
reboot the machine, we do end up with functioning networking.  Puzzled am I.

For your time I in advance give to you thanks

Laurence Berland
Comment 1 Michael Fulbright 2000-07-13 15:32:57 EDT
You should be able to ifup eth0 in your post section.

Note You need to log in before you can comment on or make changes to this bug.